"
 COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

EditField subclass:#FilenameEditField 
       instanceVariableNames:''
       classVariableNames:   ''
       poolDictionaries:''
       category:'Views-Text'
!

FilenameEditField comment:'
COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

$Header: /cvs/stx/stx/libwidg2/Attic/FNmEdtFld.st,v 1.3 1994-08-11 23:48:51 claus Exp $
'!

!FilenameEditField class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

version
"
$Header: /cvs/stx/stx/libwidg2/Attic/FNmEdtFld.st,v 1.3 1994-08-11 23:48:51 claus Exp $
"
!

documentation
"
    like a normal editField, but does filename-completion when TAB is
    pressed.
"
! !

!FilenameEditField methodsFor:'events'!

keyPress:key x:x y:y
    "handle tab for filename completion"

    |f matchSet name|

    enabled ifTrue:[
        key == #Tab ifTrue:[
"/            |f matchSet|

            f := self contents asFilename.
            matchSet := f filenameCompletion.
            matchSet size ~~ 1 ifTrue:[
                self changed:#directory with:f directoryName.
                device beep
            ].
            name := f asString.
            matchSet size == 1 ifTrue:[
                f isDirectory ifTrue:[
                    (name endsWith:(Filename separator)) ifFalse:[
                        name := (f construct:'') asString
                    ].
                ]
            ].
            self contents:name.
            self cursorToEndOfLine.
            ^ self
        ].
    ].
    ^ super keyPress:key x:x y:y.
! !


